package dk.dtu.s094758.lib.annotation;

import dk.dtu.s094758.lib.credentials.ClassificationLevel;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *
 * @author linas
 */
@Inherited
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Classified {

    ClassificationLevel value() default ClassificationLevel.LEVEL_0_UNCLASSIFIED;
}
