package dk.dtu.s094758.lib.annotation;

import dk.dtu.s094758.lib.credentials.ClassificationLevel;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *
 * @author linas
 */

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = {ElementType.METHOD})
public @interface ClassifiedWebMethod {

    public String operationName() default "";

    public String action() default "";

    public boolean exclude() default false;

    public ClassificationLevel classificationLevel() default ClassificationLevel.LEVEL_0_UNCLASSIFIED;
}
