package dk.dtu.s094758.company.companyservice;

import org.junit.Test;
import org.junit.Assert;
import com.ebmwebsourcing.easybox.api.XmlContext;
import com.ebmwebsourcing.easybox.api.XmlContextFactory;
import com.ebmwebsourcing.easybox.api.XmlObjectReader;
import com.ebmwebsourcing.easywsdl11.api.element.Definitions;

public class CompanyServiceWSDLTest{

	@Test
	public void readCompanyWsdlTest() throws Exception {
		XmlContextFactory xmlContextFactory = new XmlContextFactory();
		XmlContext xmlContext = xmlContextFactory.newContext();
		XmlObjectReader reader = xmlContext.createReader();
		Definitions definitions = reader.readDocument(CompanyService_WSOUIService.WSDL_LOCATION, Definitions.class);
		Assert.assertNotNull(definitions);
		System.out.println("wsdl " + CompanyService_WSOUIService.WSDL_LOCATION + " is validated");
	}

}
