package dk.dtu.s094758;

import dk.dtu.s094758.shop.Client;
import dk.dtu.s094758.shop.Order;
import java.io.PrintStream;
import dk.dtu.s094758.shop.ShopService;
import dk.dtu.s094758.shop.Receipt;

/**
 * Hello world!
 *
 */
public class App {

    public static final void main(String[] args) throws IllegalArgumentException {
        
        PrintStream out = null;

        try {
            out = System.out;
        } catch (SecurityException ex) {
        }

        PrintStream out1 = out;
        PrintStream out2 = out1;

        ShopService shopService = new ShopService();

        Client client = new Client();
        
        String clientPersonalId = "jens123";
        String clientCity = "København";
        String clientStreet = "Terrasserne";
        int clientStreetNumber = 8;
        String clientFirstName = "Jens";
        String clientLastName = "Jensen";

        client.setPersonalId(clientPersonalId);
        client.setCity(clientCity);
        client.setStreet(clientStreet);
        client.setStreetNumber(clientStreetNumber);
        client.setFirstName(clientFirstName);
        client.setLastName(clientLastName);

        Order order = new Order();

        order.setProduct("ProductXXL");
        order.setPrice(1200);

        Receipt receipt = shopService.orderProduct(client, order);

        String personalId = null;
        String firstName = null;
        String lastName = null;
        String city = null;
        String street = null;
        int streetNumber = -1;
        String name = null;
        int price = -1;

        try {
            personalId = receipt.getPersonalId();
            firstName = receipt.getFirstName();
            lastName = receipt.getLastName();
            city = receipt.getCity();
            street = receipt.getStreet();
            streetNumber = receipt.getStreetNumber();
            name = receipt.getProduct();
            price = receipt.getPrice();

        } catch (NullPointerException ex) {
        }
        
        if (out2 == null) throw new IllegalArgumentException("Null output");

        out2.println(personalId);
        out2.println(firstName);
        out2.println(lastName);
        out2.println(city);
        out2.println(street);
        out2.println(streetNumber);
        out2.println(name);
        out2.println(price);
    }
}
