package dk.dtu.ws1.model;

import dk.dtu.s094758.lib.annotation.Classified;
import dk.dtu.s094758.lib.credentials.ClassificationLevel;

/**
 *
 * @author linas
 */
public class Address {

    private String country;
    private String city;
    private String street;
    private Integer houseNumber;
    private Integer roomNumber;
    private Integer postCode;

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public String getCity() {
        return city;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public void setCity(String city) {
        this.city = city;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public String getCountry() {
        return country;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public void setCountry(String country) {
        this.country = country;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public Integer getHouseNumber() {
        return houseNumber;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public void setHouseNumber(Integer houseNumber) {
        this.houseNumber = houseNumber;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public Integer getPostCode() {
        return postCode;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public void setPostCode(Integer postCode) {
        this.postCode = postCode;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public Integer getRoomNumber() {
        return roomNumber;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public void setRoomNumber(Integer roomNumber) {
        this.roomNumber = roomNumber;
    }

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public String getStreet() {
        return street;
    }

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public void setStreet(String street) {
        this.street = street;
    }
}
