package dk.dtu.s094758.xsltransformation;

import javax.xml.transform.stream.StreamSource;

/**
 * Hello world!
 *
 */
public class App {

    /**
     * A simple use case for testing.
     *
     * XSLT: mapping.xslt
     * Input XML: custom_request.xml
     * Output XML: printed to System.out
     *
     * @param args
     * @throws Exception
     */
    public static void main(String[] args) throws Exception {

        // in this directory are all files located
        String directory = "/home/linas/Dokumenter/master_thesis/svn/source/OnlineShop/XSLT/XSLTransformation/src/main/java/dk/dtu/s094758/xsltransformation/";

        // this is the XSLT-mapping-file
        String XSLTfile = "transform.xsl";

        // create a transformer and initialize it with the XSLT
        XSLTransform transformer = new XSLTransform(new StreamSource(directory + XSLTfile));

        // execute the transformation and show the produced XML in System.out
        System.out.println(transformer.transform(new StreamSource(directory + "PostalService.xsd")));
    }
}
