package dk.dtu.s094758.lib.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = {ElementType.TYPE})
public @interface ClassifiedWebService {

    public String targetNamespace() default "";

    public String serviceName() default "";

    public String portName() default "";

    public String wsdlLocation() default "";
}
