package dk.dtu.s094758.company.companyservice;

import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import org.petalslink.easiestdemo.wsoui.provided.AbstractImplementationManager;
import org.petalslink.easiestdemo.wsoui.provided.AbstractTestImplementation;
import org.petalslink.easiestdemo.wsoui.provided.AbstractExchangeProcessor;
import org.petalslink.easiestdemo.wsoui.provided.Exchange;

public class CompanyService_ExchangeProcessor extends AbstractExchangeProcessor {

	public CompanyService_ExchangeProcessor() {
	createAllExchangesFor_buyProduct();
	createAllExchangesFor_validateCustomer();
	}

	public void createAllExchangesFor_buyProduct() {
		// Add nominal business exchange
		Exchange<BuyProduct, dk.dtu.s094758.company.companyservice.BuyProductResponse, ?> nominalExchange = new Exchange(new BuyProduct(), new dk.dtu.s094758.company.companyservice.BuyProductResponse());
		this.addExpectedExchange("buyProduct", nominalExchange);
		// Add business information on expected request: nominalExchange.getExpectedRequest().set(...)
		// TODO
		// Add business information on expected response: nominalExchange.getExpectedResponse().set(...)
		// TODO






		// You can add other exchanges if needed
	}


	public void createAllExchangesFor_validateCustomer() {
		// Add nominal business exchange
		Exchange<ValidateCustomer, dk.dtu.s094758.company.companyservice.ValidateCustomerResponse, ?> nominalExchange = new Exchange(new ValidateCustomer(), new dk.dtu.s094758.company.companyservice.ValidateCustomerResponse());
		this.addExpectedExchange("validateCustomer", nominalExchange);
		// Add business information on expected request: nominalExchange.getExpectedRequest().set(...)
		// TODO
		// Add business information on expected response: nominalExchange.getExpectedResponse().set(...)
		// TODO






		// You can add other exchanges if needed
	}



}
