package dk.dtu.s094758.postal.postalservice;

import java.util.logging.Logger;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import org.petalslink.easiestdemo.wsoui.provided.AbstractImplementationManager;
import org.petalslink.easiestdemo.wsoui.provided.AbstractTestImplementation;
import org.petalslink.easiestdemo.wsoui.provided.AbstractExchangeProcessor;
import org.petalslink.easiestdemo.wsoui.provided.Exchange;

public class PostalService_ExchangeProcessor extends AbstractExchangeProcessor {

	public PostalService_ExchangeProcessor() {
	createAllExchangesFor_validateAddress();
	}

	public void createAllExchangesFor_validateAddress() {
		// Add nominal business exchange
		Exchange<ValidateAddress, dk.dtu.s094758.postal.postalservice.ValidateAddressResponse, ?> nominalExchange = new Exchange(new ValidateAddress(), new dk.dtu.s094758.postal.postalservice.ValidateAddressResponse());
		this.addExpectedExchange("validateAddress", nominalExchange);
		// Add business information on expected request: nominalExchange.getExpectedRequest().set(...)
		// TODO
		// Add business information on expected response: nominalExchange.getExpectedResponse().set(...)
		// TODO






		// You can add other exchanges if needed
	}



}
