package dk.dtu.s094758;

import java.io.PrintStream;
import dk.dtu.s094758.pharmacy.PharmacyService;
import dk.dtu.s094758.pharmacy.Receipt;

/**
 * Hello world!
 *
 */
public class App {

    public static final void main(String[] args) throws IllegalArgumentException {
        
        PrintStream out = null;

        try {
            out = System.out;
        } catch (SecurityException ex) {
        }

        PrintStream out1 = out;
        PrintStream out2 = out1;

        PharmacyService pharmacyService = new PharmacyService();

        Receipt receipt = pharmacyService.orderMedication("jsmith123", "ibuprofen");

        String personalId = null;
        String firstName = null;
        String lastName = null;
        String city = null;
        String street = null;
        int streetNumber = -1;
        String drug = null;
        int price = -1;

        try {
            personalId = receipt.getPersonalId();
            firstName = receipt.getFirstName();
            lastName = receipt.getLastName();
            city = receipt.getCity();
            street = receipt.getStreet();
            streetNumber = receipt.getStreetNumber();
            drug = receipt.getDrug();
            price = receipt.getPrice();

        } catch (NullPointerException ex) {
        }
        
        if (out2 == null) throw new IllegalArgumentException("Null output");

        out2.println(personalId);
        out2.println(firstName);
        out2.println(lastName);
        out2.println(city);
        out2.println(street);
        out2.println(streetNumber);
        out2.println(drug);
        out2.println(price);
    }
}
