package dk.dtu.s094758.hospital.hospitalservice;

import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;

/**
 *
 * @author linas
 */
@WebService()
public class Hospital {

    @WebMethod(operationName = "getPatientById")
    public Patient getPatientById(@WebParam(name = "patientId") String patientId) {

        Patient patient = new Patient();

        String city = "København";
        String street = "Terrasserne";
        int streetNumber = 8;
        String firstName = "Jens";
        String lastName = "Jensen";

        patient.setCity(city);
        patient.setStreet(street);
        patient.setStreetNumber(streetNumber);
        patient.setPersonalId(patientId);
        patient.setFirstName(firstName);
        patient.setLastName(lastName);

        return patient;
    }

    @WebMethod(operationName = "buyMedication")
    public Medication buyMedication(@WebParam(name = "drug") String drug) {

        Medication medication = new Medication();

        int price = 123;

        medication.setDrug(drug);
        medication.setPrice(price);

        return medication;
    }
}
