package dk.dtu.ws1.filter;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.MimeHeader;
import javax.xml.soap.MimeHeaders;
import javax.xml.soap.SOAPBody;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPHeader;
import javax.xml.soap.SOAPMessage;
import javax.xml.soap.SOAPPart;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;

/**
 *
 * @author linas
 */
public final class SecurityFilter implements Filter {

    private FilterConfig filterConfig;

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {

        SecurityServletRequestWrapper requestWrapper = new SecurityServletRequestWrapper((HttpServletRequest) request);
        SecurityServletResponseWrapper responseWrapper = new SecurityServletResponseWrapper((HttpServletResponse) response);

        chain.doFilter(requestWrapper, responseWrapper);

        byte[] buffer = responseWrapper.getBuffer();

        String value = new String(buffer);
        System.out.println(value);
//
//        ByteArrayInputStream origXMLIn = new ByteArrayInputStream(buffer);
//        Source xmlSource = new StreamSource(origXMLIn);
//        SOAPMessage soapMessage = null;
//
//        String contentType = response.getContentType();
//        MimeHeaders mimeHeaders = new MimeHeaders();
//        mimeHeaders.addHeader("Content-Type", contentType);
//
//        try {
//            soapMessage = MessageFactory.newInstance().createMessage(mimeHeaders, origXMLIn);
//        } catch (SOAPException ex) {
//            Logger.getLogger(SecurityFilter.class.getName()).log(Level.SEVERE, null, ex);
//        }
//
//        SOAPPart soapPart = soapMessage.getSOAPPart();
//        SOAPHeader soapHeader = null;
//        SOAPBody soapBody = null;
//
//        try {
//            soapHeader = soapMessage.getSOAPHeader();
//            soapBody = soapMessage.getSOAPBody();
//        } catch (SOAPException ex) {
//            Logger.getLogger(SecurityFilter.class.getName()).log(Level.SEVERE, null, ex);
//        }
//
//
////        soapPart.getContent();
//
        response.setContentLength(buffer.length);
        response.getOutputStream().write(buffer);
        response.flushBuffer();
    }

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {
        this.filterConfig = filterConfig;
    }

    @Override
    public void destroy() {
        filterConfig = null;
    }
}
