package dk.dtu.ws1.filter;

import java.io.ByteArrayOutputStream;
import javax.servlet.ServletOutputStream;

/**
 *
 * @author linas
 */
public class SecurityServletOutputStream extends ServletOutputStream {

    private ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();

    @Override
    public void write(int data) {
        byteArrayOutputStream.write(data);
    }

    public byte[] getBuffer() {
        return byteArrayOutputStream.toByteArray();
    }

    public void reset() {
        byteArrayOutputStream.reset();
    }

    public void setBufferSize(int size) {
        byteArrayOutputStream = new ByteArrayOutputStream(size);
    }
}
