package dk.dtu.ws1.model;

import dk.dtu.s094758.lib.annotation.Classified;
import dk.dtu.s094758.lib.credentials.ClassificationLevel;

/**
 *
 * @author linas
 */
public class Customer extends Person {

    private CustomerStatus customerStatus;
    private Integer customerNumber;
    private Boolean isActive;

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public CustomerStatus getCustomerStatus() {
        return customerStatus;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public void setCustomerStatus(CustomerStatus customerStatus) {
        this.customerStatus = customerStatus;
    }

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public Integer getCustomerNumber() {
        return customerNumber;
    }

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public void setCustomerNumber(Integer customerNumber) {
        this.customerNumber = customerNumber;
    }

    @Classified(ClassificationLevel.LEVEL_0_UNCLASSIFIED)
    public Boolean getIsActive() {
        return isActive;
    }

    @Classified(ClassificationLevel.LEVEL_0_UNCLASSIFIED)
    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }
}
