package dk.dtu.ws1.model;

import dk.dtu.s094758.lib.annotation.Classified;
import dk.dtu.s094758.lib.credentials.ClassificationLevel;

/**
 *
 * @author linas
 */
public class Person {

    private String firstName;
    private String lastName;
    private String socialSecurityNumber;
    private Address address;

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public Address getAddress() {
        return address;
    }

    @Classified(ClassificationLevel.LEVEL_2_CONFIDENTIAL)
    public void setAddress(Address address) {
        this.address = address;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public String getSocialSecurityNumber() {
        return socialSecurityNumber;
    }

    @Classified(ClassificationLevel.LEVEL_3_SECRET)
    public void setSocialSecurityNumber(String socialSecurityNumber) {
        this.socialSecurityNumber = socialSecurityNumber;
    }

    @Classified(ClassificationLevel.LEVEL_0_UNCLASSIFIED)
    public String getFirstName() {
        return firstName;
    }

    @Classified(ClassificationLevel.LEVEL_0_UNCLASSIFIED)
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public String getLastName() {
        return lastName;
    }

    @Classified(ClassificationLevel.LEVEL_1_RESTRICRED)
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
}
