<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    version="1.0">

    <xsl:output method="text"/>

    <xsl:template match="/">
        <xsl:text>package dk.dtu.s094758.postal;</xsl:text>
        <xsl:apply-templates select="xs:complexType"/>
    </xsl:template>

    <xsl:template match="xs:complexType">
        <xsl:value-of select="@name"/>
        <xsl:apply-templates select="xs:element"/>
        <xsl:text>text</xsl:text>
    </xsl:template>

    <xsl:template match="xs:element">
        <xsl:value-of select="@name"/>
        <xsl:value-of select="@type"/>
    </xsl:template>

</xsl:stylesheet>
